export declare function equalArrays<T>(a: T[], b: T[]): boolean;
export declare function equalMaps<M, N>(a: Map<M, N>, b: Map<M, N>): boolean;
export declare function equalSets<S>(a: Set<S>, b: Set<S>): boolean;
export declare function equalObjects<T>(a: T, b: T): boolean;
export declare function equalPrimitives<T>(a: T, b: T): boolean;
export declare const signalEqual: {
    arrays: typeof equalArrays;
    sets: typeof equalSets;
    maps: typeof equalMaps;
    objects: typeof equalObjects;
    primitives: typeof equalPrimitives;
};
