import { PipeTransform } from '@angular/core';
import * as i0 from "@angular/core";
export declare class UniqueStatusPipe implements PipeTransform {
    transform<UniqueStatus, T>(statusMap: Map<UniqueStatus, T>, status: UniqueStatus): T | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<UniqueStatusPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<UniqueStatusPipe, "uniqueStatus", true>;
}
export declare class StatusesPipe implements PipeTransform {
    transform<T, Status>(statuses: Map<T, Set<Status>>, item: T, status: Status): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<StatusesPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<StatusesPipe, "itemStatus", true>;
}
